#!/bin/bash -e
cd "$(dirname "$0")"
. ../lib.sh

hda='https://cloud.debian.org/images/cloud/bookworm/latest/debian-12-nocloud-amd64.qcow2'

if ! [ -f hda.qcow2 ]; then
    ask_yn "hda does not exist. Download?" \
        && curl -LC- -o hda.qcow2 "$hda"   \
        || exit 1
fi

CMD=(
    "${CMD[@]}"
    -nic user,model=virtio-net-pci
    # USB passthrough, might need root privileges
    #-device usb-host,vendorid=0xffff,productid=0xffff
)

"${CMD[@]}"
